package kr.gmtc.eyegw.udpsocket;

import java.io.IOException;
import java.net.DatagramPacket;
import java.net.DatagramSocket;

public class UDPEchoClient {   
    
	final static String SERVER_IP = "localhost";
	final static int SERVER_PORT = 3384;
	 
	DatagramSocket ds;
	
    public void start() throws IOException {

		ds = new DatagramSocket(3384); // 패킷을 전송받을 포트를 열어둔다.
    	
    	//ds.connect(new InetSocketAddress(7000));
        System.out.println("isConnected : "+ ds.isConnected());
        System.out.println("port : "+ ds.getPort());
        System.out.println("localAddr : "+ ds.getLocalAddress());
        System.out.println("localPort : "+ ds.getLocalPort());
        
    	while(true) { // 무한루프 통해 메시지 계속 전송받는다
    		byte[] data = new byte[65508]; // 한번에 받을 수 있는 최대 용량의 데이터 공간은 기본 정보 공간을 제외한 65,508 byte

    		//데이터를 수신받을 객체
    		DatagramPacket dp = new DatagramPacket(data, data.length);
    		
    		ds.receive(dp);
    		
    		//전송받은 패킷이 발송된 곳의 IP주소와 내용 출력
    		System.out.println(dp.getAddress().getHostAddress() + " >> " + new String(dp.getData()).trim());
    	}
        
    }
    
    
    
    public void stop() {
    	if(!ds.isClosed()) {
    		ds.close();
    	}
    	
    }
    
}